org.apache.creadur.tentacles.model

## Class Archives

- java.lang.Object
- - org.apache.creadur.tentacles.model.Archives

    public class Archives
    extends Object

To be marshalled to json as an archives.json file Will contain a summary list of the artifacts intended for tabular display

### Nested Class Summary

Nested Classes
`static class` `Archives.Item`

### Constructor Summary

Constructors
Constructor and Description
`Archives()` Required for JAXB

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(Archives.Item item)`
`Archives.Item` `addItem()`
`List<Archives.Item>` `getArchives()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Archives

    public Archives()

Required for JAXB

### Method Detail

#### getArchives

    public List<Archives.Item> getArchives()

#### add

    public void add(Archives.Item item)

#### addItem

    public Archives.Item addItem()